KeySystemConfiguration
public class KeySystemConfiguration : NSObject, Codable
Key system configuration.
-
Specifies the URL of the licensing server.
Declaration
Swift
public var licenseAcquisitionURL: URL? -
Specifies the URL of the FairPlay certificate server.
Declaration
Swift
public var certificateURL: URL? -
Specifies the license type.
Declaration
Swift
public var licenseType: LicenseType? -
Optionally specifies request headers that should be sent with any license requests to the DRM server. This is a plain object where the keys of the object are header names and corresponding values are header values.
Declaration
Swift
public var headers: [String : String]? -
Record of query parameters for the licence acquisition request. Each entry contains a query parameter name with associated value.
Declaration
Swift
public let queryParameters: Dictionary<String, String>? -
The FairPlay application certificate, as DER encoded bytes.
Remark
- When a non-empty certificate is provided it is used directly and no request is sent to
certificateURL, so theContentProtectionIntegration.onCertificateRequestandonCertificateResponsehandlers are not called. - When nil or empty, the certificate is fetched from
certificateURL.
Declaration
Swift
public var certificate: Data? - When a non-empty certificate is provided it is used directly and no request is sent to
-
Constructs a KeySystemConfiguration.
Declaration
Swift
public init(licenseAcquisitionURL: String? = nil, certificateURL: String? = nil, licenseType: LicenseType? = nil, headers: [String : String]? = nil, queryParameters: Dictionary<String, String>? = nil, certificate: Data? = nil)Parameters
licenseAcquisitionURLThe URL of the licensing server, defaults to nil.
certificateURLThe URL of the certificate server, defaults to nil.
licenseTypeThe type of license, defaults to nil.
queryParametersrecord of query parameters for the licence acquisition request. Each entry contains a query parameter name with associated value.
certificateThe FairPlay application certificate as DER encoded bytes, defaults to nil. When provided, no request is sent to
certificateURL.